# Klasse StaticPrefixedEvaluator

java.lang.Object
org.apache.ant.props.RegexBasedEvaluator
org.apache.ant.props.PrefixedEvaluator
org.apache.ant.props.StaticPrefixedEvaluator

Alle implementierten Schnittstellen:
  `org.apache.tools.ant.PropertyHelper.Delegate, org.apache.tools.ant.PropertyHelper.PropertyEvaluator`

Bekannte direkte Unterklassen:
  `EncodeURLEvaluator`

public abstract class StaticPrefixedEvaluator extends PrefixedEvaluator
PrefixedPropertyEvaluator that always uses the same prefix.

## Feldübersicht

### Von Klasse geerbte Felder PrefixedEvaluator

`DEFAULT_DELIMITER`

## Konstruktorübersicht

Konstruktoren
Modifikator
Konstruktor
Beschreibung
`protected`
`StaticPrefixedEvaluator()`
Create a new StaticPrefixedEvaluator.
`protected`
`StaticPrefixedEvaluator(String prefix)`
Create a new StaticPrefixedEvaluator.
`protected`
`StaticPrefixedEvaluator(String prefix, String delimiter)`
Create a new StaticPrefixedEvaluator.

## Methodenübersicht

Modifikator und Typ
Methode
Beschreibung
`protected final boolean`
`canInterpret(String prefix)`
Learn whether this evaluator can interpret a property with the given prefix.
`String`
`getPrefix()`
Get the String prefix.
`protected String`
`getRequiredPrefix()`
Get the non-null prefix.
`void`
`setPrefix(String prefix)`
Set the String prefix.

### Von Klasse geerbte Methoden PrefixedEvaluator

`evaluate, evaluate, setDelimiter, setPattern`

### Von Klasse geerbte Methoden RegexBasedEvaluator

`addOption, evaluate, getPattern, getRegularExpression`

### Von Klasse geerbte Methoden Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Konstruktordetails

### StaticPrefixedEvaluator

protected StaticPrefixedEvaluator()
Create a new StaticPrefixedEvaluator.

### StaticPrefixedEvaluator

protected StaticPrefixedEvaluator(String prefix)
Create a new StaticPrefixedEvaluator.

Parameter:
  `prefix` -

### StaticPrefixedEvaluator

protected StaticPrefixedEvaluator(String prefix, String delimiter)
Create a new StaticPrefixedEvaluator.

Parameter:
  `prefix` -
  `delimiter` -

## Methodendetails

### canInterpret

protected final boolean canInterpret(String prefix)
Learn whether this evaluator can interpret a property with the given prefix.

Angegeben von:
  `canInterpret` in Klasse `PrefixedEvaluator`
Parameter:
  `prefix` -
Gibt zurück:
  `true` if `prefix` is recognized, else `false`.
Siehe auch:
  - `PrefixedEvaluator.canInterpret(java.lang.String)`

### getRequiredPrefix

protected String getRequiredPrefix()
Get the non-null prefix.

Gibt zurück:
  String

### getPrefix

public String getPrefix()
Get the String prefix.

Gibt zurück:
  String

### setPrefix

public void setPrefix(String prefix)
Set the String prefix.

Parameter:
  `prefix` - String